Kwayland-5.57.0 or kwayland-5.59.0 will build against Qt-5.15.2 with the attached kwayland-5.59-qt-5.15.2.patch installed to local patches. funtoo /home/rj # mkdir -p /etc/portage/patches/kde-frameworks/kwayland funtoo /home/rj # cp kwayland-5.59.0-qt-5.15.2.patch /etc/portage/patches/kde-frameworks/kwayland Remove the patch when kwayland is upgraded or patch will fail and stop emerge. kwayland-5.59.0-qt-5.15.2.patch Reference: kwayland-5.59.0 build fails with QHash error